# $Revision: 1.17 $, $Date: 2007-02-13 08:06:42 $
%define		_rc	rc8
Summary:	Programs needed for manipulating reiserfs partitions
Summary(pl.UTF-8):	Programy niezbędne do manipulowania partycjami reiserfs
Name:		progsreiserfs
Version:	0.3.1
Release:	1.%{_rc}.5
License:	GPL
Group:		Applications/System
Source0:	http://reiserfs.linux.kiev.ua/snapshots/%{name}-%{version}-%{_rc}.tar.gz
# Source0-md5:	e545a171a207ec5b9045ceb1a982c1bd
Source1:	%{name}-pl.po
Patch0:		%{name}-Werror.patch
Patch1:		%{name}-sparc-linux.patch
Patch2:		%{name}-typo.patch
Patch3:		%{name}-am18.patch
Patch4:		%{name}-missing-nls.patch
URL:		http://reiserfs.linux.kiev.ua/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libuuid-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Progsreiserfs is a package that allows you to create, destroy, resize
and copy reiserfs filesystem.

%description -l pl.UTF-8
Progsreiserfs to pakiet pozwalający na tworzenie, niszczenie, zmianę
rozmiaru i kopiowanie systemu plików reiserfs.

%package devel
Summary:	Header files and libraries to develop reiserfs software
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki do reiserfs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and libraries to develop software which operates on
reiserfs filesystems.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteki potrzebne do rozwoju oprogramowania
operującego na systemie plików reiserfs.

%package static
Summary:	Static reiserfs software libraries
Summary(pl.UTF-8):	Biblioteki statyczne do reiserfs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static reiserfs software libraries.

%description static -l pl.UTF-8
Biblioteki statyczne do reiserfs.

%prep
%setup -q -n %{name}-%{version}-%{_rc}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

cp -f %{SOURCE1} po/pl.po
%{__perl} -pi -e 's/(ALL_LINGUAS=")/$1pl /' configure.in

%build
# supplied libtool is broken (relink)
%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-Werror
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install include/reiserfs/libprogs_tools.h $RPM_BUILD_ROOT%{_includedir}/reiserfs

# conflicts with reiserfsprogs
rm -f $RPM_BUILD_ROOT%{_sbindir}/{fsck,mkfs,resizefs,tunefs}.reiserfs
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/{fsck,mkfs,resizefs,tunefs}.reiserfs.8

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_sbindir}/cpfs.reiserfs
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man8/cpfs.reiserfs.8*
%{_mandir}/man8/reiserfs.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/dal
%{_includedir}/reiserfs
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: progsreiserfs.spec,v $
Revision 1.17  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.15  2006/11/15 08:32:19  qboosh
- removed {fsck,mkfs,resizefs,tunefs}.reiserfs utils from this package
  (they are in reiserfsprogs)
- release .5

Revision 1.14  2006/01/28 22:42:43  qboosh
- strict internal deps

Revision 1.13  2005/10/30 22:17:38  areq
- --disable-Werror

Revision 1.12  2004/10/31 21:20:04  paladine
- spaces->tabs
- formatting

Revision 1.11  2003/12/28 03:30:15  qboosh
- added pl.po and typo,am18,missing-nls patches; release .4

Revision 1.10  2003/11/13 21:17:04  qboosh
- added sparc-linux patch; release .3

Revision 1.9  2003/10/09 10:14:15  qboosh
- R: libuuid-devel, static R: -devel, release .2

Revision 1.8  2003/08/21 15:21:20  qboosh
- no // in paths, other cosmetics

Revision 1.7  2003/06/26 14:46:10  qboosh
- gettextize (needed with gt 0.12.1)

Revision 1.6  2003/05/28 13:01:23  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:25:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/05 16:27:24  areq
- 0.3.1-1.rc8
- add libprogs_tools.h

Revision 1.3  2002/12/22 01:14:00  qboosh
- fixed build

Revision 1.2  2002/12/02 22:08:46  ankry
- pl Summary/description fixes
- adapterized

Revision 1.1  2002/11/27 16:11:34  areq
- Init PLD, NFY (why don't install libreiserfs-0.3.so.0 ?)
